[can-not-install] file overwrite error

Bug #92949 reported by Michael Vogt on 2007-03-16
4
Affects Status Importance Assigned to Milestone
elfsh (Debian)
Fix Released
Unknown
elfsh (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: elfsh

Found the following problem during a install test:

Selecting previously deselected package libelfsh0-dev.
Unpacking libelfsh0-dev (from .../libelfsh0-dev_0.65rc1-1.1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libelfsh0-dev_0.65rc1-1.1_i386.deb (--unpack):
 trying to overwrite `/usr/lib/libasm.a', which is also in package libasm-dev
Selecting previously deselected package libemail-simple-perl.

Changed in elfsh:
status: New → Confirmed
Changed in elfsh:
status: Unknown → New
Changed in elfsh:
assignee: nobody → rainct
importance: Undecided → Medium
status: Confirmed → In Progress
Siegfried Gevatter (rainct) wrote :

elfsh (0.65rc1-1.1ubuntu1) hardy; urgency=low

  * debian/control:
     - Add emacs22-bin-common build dependency (Closes: #434916).
     - Change Architecture to i386-only, as the newest versions FTBFS
       everywhere except with i386. See Debian Bug #381320.
     - Let libelfsh0-dev conflict with libasm-dev (LP: #92949).
     - Modify Maintainer value to match the DebianMaintainerField
       specification.
  * debian/rules: do not ignore "make fclean" errors.
  * Add 02_fix_typo_in_help.dpatch to fix a typo in command-line help
    (Closes: #441324).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <email address hidden> Tue, 01 Jan 2008 20:32:33 +0100

Siegfried Gevatter (rainct) wrote :

Notes:

 - Debian is also letting both conflict in the latest version of libasm-dev (which isn't in Hardy). See [0]:
     * Make libasm-dev conflict with libelfsh0-dev again, the 0.123-3 change
        got lost. (Closes: #404054)

 - A replacement for elfsh is in the way, and it will probably be removed from Debian soon.

[0] http://packages.debian.org/changelogs/pool/main/e/elfutils/elfutils_0.131-3/changelog

Changed in elfsh:
assignee: rainct → nobody
status: In Progress → Confirmed
Siegfried Gevatter (rainct) wrote :

Won't Fix - Package Removal request in bug #179889.

Please unsubscribe u-u-s.

Changed in elfsh:
status: Confirmed → Won't Fix
Martin Pitt (pitti) wrote :

Package has been removed.

Changed in elfsh:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.